%define module_name Crypt-HSM
# BEGIN SourceDeps(oneline):
BuildRequires: libsowing-devel perl(ExtUtils/ParseXS.pm) perl(File/Spec.pm) perl(IO/Handle.pm) perl(IPC/Open3.pm) perl(Module/Build/Tiny.pm) perl(Test/More.pm) perl(XSLoader.pm) perl(strict.pm) perl(warnings.pm)
# END SourceDeps(oneline)
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.019
Release: alt1
Summary: A PKCS11 interface for Perl
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/L/LE/LEONT/%{module_name}-%{version}.tar.gz

%description
This module interfaces with any PKCS11 library to use its cryptography.

%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README LICENSE Changes
%perl_vendor_archlib/C*
%perl_vendor_autolib/*

%changelog
* Mon Apr 07 2025 Igor Vlasenko <viy@altlinux.org> 0.019-alt1
- updated by package builder

* Tue Jan 09 2024 Igor Vlasenko <viy@altlinux.org> 0.016-alt1
- updated by package builder

* Tue Dec 05 2023 Igor Vlasenko <viy@altlinux.org> 0.015-alt1
- updated by package builder

* Wed Nov 29 2023 Igor Vlasenko <viy@altlinux.org> 0.012-alt2
- rebuild with perl 5.38

* Sun Aug 13 2023 Igor Vlasenko <viy@altlinux.org> 0.012-alt1
- updated by package builder

* Sat May 27 2023 Igor Vlasenko <viy@altlinux.org> 0.011-alt1
- updated by package builder

* Fri May 05 2023 Igor Vlasenko <viy@altlinux.org> 0.010-alt1
- updated by package builder

* Tue Apr 25 2023 Igor Vlasenko <viy@altlinux.org> 0.008-alt1
- updated by package builder

* Thu Apr 20 2023 Igor Vlasenko <viy@altlinux.org> 0.007-alt1
- updated by package builder

* Mon Apr 10 2023 Igor Vlasenko <viy@altlinux.org> 0.006-alt1
- updated by package builder

* Sat Apr 01 2023 Igor Vlasenko <viy@altlinux.org> 0.004-alt1
- initial import by package builder

